# The IRDB SDK

## Licence
   Copyright 2018-2019 Zephyr Software, LLC.

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.


## Usage

This is the IRDB SDK.  Include only the entry-point includes files, which are found in include/.  
Other files shall be included indirectly via the entry-point includes..

All of the interface is in the IRDB_SDK namespace.    

Include file "irdb-<foo> needs to be linked against libirdb-foo.so.  Libraries are distributed 
separately.  

For further information please see the [IRDB SDK Cookbook, available at this location](https://git.zephyr-software.com/opensrc/irdb-cookbook-examples).
